Articles of homebrew

Problème d’installation node.js avec homebrew

J’essaie d’installer Node.js avec Homebrew (je l’ai déjà installé sans utiliser l’infusion, et j’ai essayé de supprimer tous ces fichiers). J’ai regardé les questions précédentes en posant les mêmes questions, mais je n’ai pas réussi à les faire travailler. J’ai d’abord essayé le brew link node qui m’a donné: myusername@c126h060:~$ brew link node Linking /usr/local/Cellar/node/0.12.6… […]

Comment voir les options disponibles pour l’installation de la formule homebrew?

Je lis cette réponse de débordement de stack Utilisateur Mac et obtenir AVERTISSEMENT: Nokogiri a été construit avec LibXML version 2.7.8, mais a chargé dynamicment 2.7.3 et je veux juste savoir où ils ont appris sur l’option –with-xml2-config dans brew install libxml2 –with-xml2-config afin que je puisse vérifier que je veux vraiment utiliser cette option […]

Erreur lors de la tentative de mise à jour du gestionnaire de packages d’infusion

J’ai essayé de mettre à jour l’infusion: sudo brew update Mais j’ai cette erreur: erreur: vos modifications locales apscopes aux fichiers suivants seraient écrasées par la fusion: Liste de nombreux fichiers Erreur: Échec lors de l’exécution de git pull http://github.com/mxcl/homebrew.git master Une idée de ce qui ne va pas?

Comment utiliser GNU sed sur Mac OS X

Sous Mac OS 10.10.3, j’ai installé gnous-sed en tapant: brew install gnu-sed –default-names Quand je le tape à nouveau, je reçois le message: gnu-sed-4.2.2 déjà installé Cependant, même après le redémarrage du système et le redémarrage de Terminal, je ne peux toujours pas utiliser la version GNU de sed. Par exemple: echo a | sed […]

Formules homebrew Keg-only

Aujourd’hui, j’ai installé la formule curl via homebrew , mais après l’avoir installé (et recréé le shell), j’ai remarqué que: % which curl /usr/bin/curl en fait, la sortie de brew install curl indiquait que c’était une formule uniquement en fût , et que curl était déjà présent dans OS X, il ne le liait pas […]

Brew doctor – “avertissement: des fichiers d’en-tête non codés ont été trouvés dans / usr / local / include”?

Lorsque je dirige un brew doctor , l’erreur suivante est émise Warning: Unbrewed header files were found in /usr/local/include. If you didn’t put them there on purpose they could cause problems when building Homebrew formulae, and may need to be deleted. Unexpected header files: /usr/local/include/curl/curl.h /usr/local/include/curl/curlbuild.h /usr/local/include/curl/curlrules.h /usr/local/include/curl/curlver.h /usr/local/include/curl/easy.h /usr/local/include/curl/mprintf.h /usr/local/include/curl/multi.h /usr/local/include/curl/stdcheaders.h /usr/local/include/curl/typecheck-gcc.h /usr/local/include/node/ares.h /usr/local/include/node/ares_version.h […]

Brew Update ne fonctionne pas après mac 10.9

Première mise en service depuis la mise à niveau 10.9. De la sortie ci-dessous, devrais-je simplement supprimer Library / Formula / ant.rb et Library / Formula / apple-gcc42.rb? Aussi, on ne sait pas pourquoi git pull échoue. Merci pour toute aide 525 [projects]$ brew –config HOMEBREW_VERSION: 0.9.4 ORIGIN: https://github.com/mxcl/homebrew.git HEAD: 27c26faf7b958de6028ad55be8ccc5a57b094d3f HOMEBREW_PREFIX: /usr/local HOMEBREW_CELLAR: /usr/local/Cellar […]

Erreur de armsage: Impossible de créer un lien symbolique, le chemin n’est pas accessible en écriture

Lorsque j’essaie d’installer une bibliothèque avec homebrew ( brew install aLibrary ), j’ai eu l’erreur suivante: Could not symlink lib/pkgconfig/aFile /usr/local/lib/pkgconfig is not writable. Que devrais-je faire? Il y a plusieurs questions et réponses ( 1 , 2 , etc.) concernant cette erreur d’infusion, c’est une tentative de poser une question générale comme suggéré ici […]

rbenv install –list ne liste pas la version 2.1.2

J’ai installé rbenv via Homebrew sur un MacBook Pro OS X 10.9.3. J’ai fait: brew update brew upgrade rbenv ruby-build Selon rbenv install –list sur mon portable Ruby 2.1.0-dev est le dernier. Est-ce que quelqu’un sait de quoi il s’agit? Je vais deviner que c’est un problème 10.9.3.

Installation de Nokogiri sur OSX 10.10 Yosemite

Je suis récemment passé à la version bêta 10.10 Yosemite, mais j’ai du mal à installer Nokogiri. J’utilise RVM et Ruby 1.9.3. J’ai également suivi les étapes ici et essayé de suivre les instructions sur la page d’accueil de Nokogiri. J’ai installé libxml2 (2.9.1) et libxslt (1.1.28) via homebrew, et j’ai essayé d’utiliser les outils […]